Audit

The audit log records user and system actions so they can be reviewed later.

The Action Model

Scheme

  • Name
    id
    Type
    integer
    Description
    Unique action identifier
  • Name
    actionTime
    Type
    string <date-time>
    Description
    When the action was recorded
  • Name
    address
    Type
    string
    Description
    Client address that initiated the action
  • Name
    userId
    Type
    integer
    Description
    Identifier of the User who performed the action
  • Name
    userEmail
    Type
    string
    Description
    Email of the User who performed the action
  • Name
    actionType
    Type
    string
    Description
    Action category (e.g. login, edit, link)
  • Name
    objectType
    Type
    string
    Description
    Type of object affected by the action
  • Name
    objectId
    Type
    integer
    Description
    Identifier of the affected object
  • Name
    attributes
    Type
    object
    Description
    Additional action attributes

GET/audit

Fetch audit log Actions

Admin only. Returns Actions performed in the given time window.

Authorizations

BasicAuth or ApiKey

  • Name
    BasicAuth
    Type
    scheme
    Description
    HTTP Authorization Scheme: basic
  • Name
    ApiKey
    Type
    scheme
    Description
    HTTP Authorization Scheme: bearer

Query Parameters

  • Name
    from
    Type
    string <date-time> required
    Description
    in ISO 8601 format. eg. `1963-11-22T18:30:00Z`
  • Name
    to
    Type
    string <date-time> required
    Description
    in ISO 8601 format. eg. `1963-11-22T18:30:00Z`

Response schema

  • Name
    application/json
    Type
    schema
    Description

Responses

  • Name
    200
    Type
    success
    Description
    Action
  • Name
    401
    Type
    error
    Description
    Unauthorized

Request

GET
/audit
curl --location 'https://gw.onemap8.com/api/audit?from=<date-time>&to=<date-time>' \
--header 'Accept: application/json' \
--header 'Authorization: Basic {your_access_token}'

Response

[
{
  "id": 0,
  "actionTime": "<date-time>",
  "address": "<string>",
  "userId": 0,
  "userEmail": "<string>",
  "actionType": "<string>",
  "objectType": "<string>",
  "objectId": 0,
  "attributes": {}
}
]